Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity
Class OLAEntitySim

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicAlignment
          fr.inrialpes.exmo.align.impl.ObjectAlignment
              fr.inrialpes.exmo.align.impl.DistanceAlignment
                  ca.uqam.info.latece.sboa.impl.algorithms.OLAlignment
                      fr.inrialpes.exmo.ontosim.entity.OLAEntitySim

All Implemented Interfaces:
  ca.uqam.info.latece.sboa.inter.algorithms.StructureBasedAlignment, Measure<Entity<org.semanticweb.owl.model.OWLEntity>>, Cloneable, Iterable<org.semanticweb.owl.align.Cell>, org.semanticweb.owl.align.Alignment, org.semanticweb.owl.align.AlignmentProcess, org.semanticweb.owl.align.Visitable

    public class OLAEntitySim

extends ca.uqam.info.latece.sboa.impl.algorithms.OLAlignment
implements Measure<Entity<org.semanticweb.owl.model.OWLEntity>>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`private Map<org.semanticweb.owl.model.OWLOntology,Set<org.semanticweb.owl.model.OWLOntology>>` | `alignedOnto`
`private AlignPairsSimple` | `aps`

Fields inherited from class fr.inrialpes.exmo.align.impl.ObjectAlignment
`init`

Fields inherited from class fr.inrialpes.exmo.align.impl.BasicAlignment
`debug, extensions, hash1, hash2, level, namespaces, onto1, onto2, type`

Constructor Summary
`OLAEntitySim()`

Method Summary
`private void` | `computeSims(org.semanticweb.owl.model.OWLOntology o1, org.semanticweb.owl.model.OWLOntology o2)`
`org.semanticweb.owl.align.Alignment` | `extractResults(ca.uqam.info.latece.sboa.inter.ograph.OntologyGraph mGraph, no.uib.cipr.matrix.Vector simVect, int[] indVect, int sz)`
`double` | `getDissim(Entity<org.semanticweb.owl.model.OWLEntity> e1, Entity<org.semanticweb.owl.model.OWLEntity> e2)`
`double` | `getMeasureValue(Entity<org.semanticweb.owl.model.OWLEntity> e1, Entity<org.semanticweb.owl.model.OWLEntity> e2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(Entity<org.semanticweb.owl.model.OWLEntity> e1, Entity<org.semanticweb.owl.model.OWLEntity> e2)`
`void` | `resetSim()`

Methods inherited from class ca.uqam.info.latece.sboa.impl.algorithms.OLAlignment
`align, buildLabelMatrices, buildMGraph, buildOGraph, computeCBSimilarity, computeFBSimilarity, convergenceNotObtained, prepareToCompute, viewMemoryUsage`

Methods inherited from class fr.inrialpes.exmo.align.impl.DistanceAlignment
`addAlignDistanceCell, align, cleanUp, extract, extractqq, extractqqgreedy, extractqs, getAlignedDistance1, getAlignedDistance2, getSimilarity, printDistanceMatrix, setSimilarity`

Methods inherited from class fr.inrialpes.exmo.align.impl.ObjectAlignment
`createCell, createNewAlignment, getOntology1URI, getOntology2URI, init, loadInit, ontology1, ontology2, toObjectAlignment, toURIAlignment`

Methods inherited from class fr.inrialpes.exmo.align.impl.BasicAlignment
`accept, addAlignCell, addAlignCell, addAlignCell, addAlignCell, addCell, clone, compose, cut, cut, cut2, diff, dump, getAlignCell1, getAlignCell2, getAlignCells1, getAlignCells2, getAlignedObject1, getAlignedObject2, getAlignedRelation1, getAlignedRelation2, getAlignedStrength1, getAlignedStrength2, getArrayElements, getElements, getExtension, getExtensions, getFile1, getFile2, getLevel, getOntology1, getOntology2, getOntologyObject1, getOntologyObject2, getParameters, getType, getXNamespace, getXNamespaces, harden, ingest, init, inverse, iterator, join, meet, nbCells, remCell, removeAlignCell, render, setExtension, setExtensions, setFile1, setFile2, setLevel, setOntology1, setOntology2, setType, setXNamespace`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.align.AlignmentProcess
`align`

Methods inherited from interface org.semanticweb.owl.align.Alignment
`addAlignCell, addAlignCell, clone, compose, cut, cut, diff, dump, getAlignCell1, getAlignCell2, getAlignCells1, getAlignCells2, getAlignedObject1, getAlignedObject2, getAlignedRelation1, getAlignedRelation2, getAlignedStrength1, getAlignedStrength2, getElements, getExtension, getExtensions, getFile1, getFile2, getLevel, getOntology1, getOntology1URI, getOntology2, getOntology2URI, getType, harden, init, init, inverse, iterator, join, meet, nbCells, remCell, render, setExtension, setFile1, setFile2, setLevel, setOntology1, setOntology2, setType`

Methods inherited from interface org.semanticweb.owl.align.Visitable
`accept`

Field Detail

### alignedOnto

    private Map<org.semanticweb.owl.model.OWLOntology,Set<org.semanticweb.owl.model.OWLOntology>> alignedOnto

### aps

    private AlignPairsSimple aps

Constructor Detail

### OLAEntitySim

    public OLAEntitySim()

Method Detail

### extractResults

    public org.semanticweb.owl.align.Alignment extractResults(ca.uqam.info.latece.sboa.inter.ograph.OntologyGraph mGraph,
                                                              no.uib.cipr.matrix.Vector simVect,
                                                              int[] indVect,
                                                              int sz)

  Specified by:
    `extractResults` in interface `ca.uqam.info.latece.sboa.inter.algorithms.StructureBasedAlignment`
  Overrides:
    `extractResults` in class `ca.uqam.info.latece.sboa.impl.algorithms.OLAlignment`

### computeSims

    private void computeSims(org.semanticweb.owl.model.OWLOntology o1,
                             org.semanticweb.owl.model.OWLOntology o2)

### resetSim

    public void resetSim()

### getMeasureValue

    public double getMeasureValue(Entity<org.semanticweb.owl.model.OWLEntity> e1,
                                  Entity<org.semanticweb.owl.model.OWLEntity> e2)

  Specified by:
    `getMeasureValue` in interface `Measure<Entity<org.semanticweb.owl.model.OWLEntity>>`

### getDissim

    public double getDissim(Entity<org.semanticweb.owl.model.OWLEntity> e1,
                            Entity<org.semanticweb.owl.model.OWLEntity> e2)

  Specified by:
    `getDissim` in interface `Measure<Entity<org.semanticweb.owl.model.OWLEntity>>`

### getSim

    public double getSim(Entity<org.semanticweb.owl.model.OWLEntity> e1,
                         Entity<org.semanticweb.owl.model.OWLEntity> e2)

  Specified by:
    `getSim` in interface `Measure<Entity<org.semanticweb.owl.model.OWLEntity>>`

### getMType

    public Measure.TYPES getMType()

  Specified by:
    `getMType` in interface `Measure<Entity<org.semanticweb.owl.model.OWLEntity>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009